import { fetchBase } from '../fetch.js'

// 根据居民ID查询服务医生
export function getServiceDoc(params) {
    return fetchBase({ url: `/chronic-resident/v1/chronic-visit-record/service-doctor-info`, body: params, loading: true })
}

// 获取IM账号信息
export function getAccount(idCard) {
    return fetchBase({ url: `/chronic-resident/v1/chronic-resident-im/refresh-token/${idCard}`, loading: true })
}

// 获取聊天信息
export function getSessionInfo(accountId) {
    return fetchBase({ url: `/chronic-resident/v1/chronic-resident-im/doctorInfo/${accountId}`, loading: true })
}
