import { fetchBase } from '../fetch.js'

// 证件号查询是否管理慢病档案
export function queryResidentInfo(params) {
    return fetchBase({ url: `/chronic-resident/v1/chronic-residents-record/search-info`, body: params, loading: true })
}

// 查询筛查记录列表
export function querScreenList(params) {
    return fetchBase({ url: `/chronic-resident/v1/chronic-screening-record/screen-list`, body: params, loading: true })
}

// 查询筛查记录详情
export function querScreenDetail(params) {
    return fetchBase({ url: `/chronic-resident/v1/chronic-screening-record/record`, body: params, loading: true })
}

// 新增筛查记录
export function savefirstScreen(params) {
    return fetchBase({ url: `/chronic-resident/v1/chronic-screening-record/save`, body: params, loading: true })
}